package com.tjise.asked;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.MultiFormatWriter;
import com.google.zxing.WriterException;
import com.google.zxing.common.BitMatrix;
import com.journeyapps.barcodescanner.BarcodeEncoder;
import com.tjise.asked.util.SpUtils;

import java.util.Random;

public class ResultActivity extends AppCompatActivity {
    String[] resultArr = new String[]{"目前您的创业想法\n还不太理想,建议增加知识储备后再\n做决定", "目前您的创业想法\n还不太成熟稳定,建议再认真思考分析后\n做决定", "感谢您的参与\n我们将为您匹配相关经验丰富的\n创业导师"};

    @Override
    protected void onCreate(Bundle paramBundle) {
        super.onCreate(paramBundle);
        setContentView(R.layout.activity_result);
        ImageView imageView = (ImageView)findViewById(R.id.iv_qr_code);
        TextView textView = (TextView)findViewById(R.id.tv_result);
        ((Button)findViewById(R.id.btn_back_home)).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(ResultActivity.this, WelcomeActivity.class);
                startActivity(intent);
                finish();
            }
        });
        int i = (new Random()).nextInt(3);
        textView.setText(this.resultArr[i]);
        MultiFormatWriter multiFormatWriter = new MultiFormatWriter();
        SpUtils spUtils = new SpUtils(this);
        i = spUtils.getInt("baseId", 0);
        String str = "https://syjhs-443.webvpn.tjise.edu.cn/prod-api/projectassess/PaTpBase/downloadTestPaper/" + Integer.valueOf(i);
        try {
            BitMatrix bitMatrix = multiFormatWriter.encode(str, BarcodeFormat.QR_CODE, 350, 350);
            BarcodeEncoder barcodeEncoder = new BarcodeEncoder();
            imageView.setImageBitmap(barcodeEncoder.createBitmap(bitMatrix));
        } catch (WriterException writerException) {
            writerException.printStackTrace();
        }
    }
    @Override
    protected void onResume() {
        super.onResume();
        getWindow().getDecorView().setSystemUiVisibility(0);
    }
}
